Package com.collibra.catalog.api.component.schema.dto

# Class AddSchemaFromJdbcRequest

Object
AddSchemaFromJdbcRequest

public final class AddSchemaFromJdbcRequest extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `AddSchemaFromJdbcRequest.Builder`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AddSchemaFromJdbcRequest.Builder`
  `builder()`
  `boolean`
  `equals(Object o)`
  `String`
  `getCronExpression()`
  `String`
  `getCronTimeZone()`
  `String`
  `getDescription()`
  `String`
  `getJdbcConnectionString()`
  `UUID`
  `getJdbcDriverId()`
  `String`
  `getJobServer()`
  `UUID`
  `getOwnerId()`
  `char[]`
  `getPassword()`
  `Map<String,String>`
  `getProperties()`
  `String`
  `getSchemaName()`
  `List<String>`
  `getTablesToSkip()`
  `String`
  `getUser()`
  `int`
  `hashCode()`
  `boolean`
  `isDetectAdvancedDataTypes()`
  `boolean`
  `isExecuteProfiling()`
  `boolean`
  `isExtractDataSample()`
  `boolean`
  `isStoreCredentials()`
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### builder

    public static AddSchemaFromJdbcRequest.Builder builder()

  - ### getSchemaName

    public String getSchemaName()

  - ### getJdbcDriverId

    public UUID getJdbcDriverId()

  - ### getProperties

    public Map<String,String> getProperties()

  - ### getUser

    public String getUser()

  - ### getPassword

    public char[] getPassword()

  - ### getJdbcConnectionString

    public String getJdbcConnectionString()

  - ### getDescription

    public String getDescription()

  - ### getOwnerId

    public UUID getOwnerId()

  - ### isStoreCredentials

    public boolean isStoreCredentials()

  - ### getCronExpression

    public String getCronExpression()

  - ### getCronTimeZone

    public String getCronTimeZone()

  - ### isExtractDataSample

    public boolean isExtractDataSample()

  - ### isExecuteProfiling

    public boolean isExecuteProfiling()

  - ### isDetectAdvancedDataTypes

    public boolean isDetectAdvancedDataTypes()

  - ### getTablesToSkip

    public List<String> getTablesToSkip()

  - ### getJobServer

    public String getJobServer()

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`